using DevExpress.XtraWaitForm;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SystemX.Product.ALIS.UI.Subs
{
    public partial class WaitProgressForm : WaitForm
    {
        public WaitProgressForm(bool bVisibleProgress = false)
        {
            InitializeComponent();

            this.progressPanel1.AutoHeight = true;

            if (bVisibleProgress)
                progressBarWait.Visible = true;
        }

        #region Overrides

        public override void SetCaption(string caption)
        {
            base.SetCaption(caption);

            this.progressPanel1.Caption = caption;
        }
        public override void SetDescription(string description)
        {
            base.SetDescription(description);

            this.progressPanel1.Description = description;
        }
        public override void ProcessCommand(Enum cmd, object arg)
        {
            base.ProcessCommand(cmd, arg);
        }

        #endregion

        public void setDescription(string sText)
        {
            //this.SetDescription(sText);

            this.labelSub.Text = sText;
        }

        public void SetProgressMax(int nValue)
        {
            progressBarWait.Maximum = nValue;
        }

        public void SetProgressValue(int nValue)
        {
            progressBarWait.Value = nValue;
        }

        public enum WaitFormCommand
        {
        }
    }
}